Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040545
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-04-05 15:052019-05-21 15:16
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision49fefc70a4c7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040545: Wrong payment schedule details when paying an invoice with more than one order if Invoice Transaction Type is selected

DescriptionWrong payment schedule details when paying an invoice with more than one order if Invoice Transaction Type is selected instead of 'Orders and Invoices'
Steps To ReproduceAs group admin role:
   Create 5 sales orders for the same business partner, price not including taxes and 21% of tax Set it's invoice terms as immediate:
      1) 1 unit with a net unit price of 21.95 (total of 26.56)
      2) 3 units with a net unit price of 25 (total of 90.75)
      3) -12 units with a net unit price of 12 (total of -174.24)
      4) 15 units with a net unit price of 0.86 (total of 15.61)
      5) 20 units with a net unit price of 0.35
         1 unit with a net unit price of 25
         1 unit with a net unit price of 13.20
         (total of 54.69)

   Add all of them in the same invoice. Total amount (13.37). Complete it
   Create a new sales invoice and add all the previous lines but with the opposite quantities
   Add a payment of 0 to it
   Check the transaction type is set to Invoices
   Select the two invoices created, set the total amount to pay and process

   Create a new Payment in for the same business partner
   Add details and check the invoice is still pending to be paid
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111336)
Sandrahuguet (developer)
2019-04-26 08:23

Test Plan:

    As group admin role:
   Create 5 sales orders for the same business partner, price not including taxes and 21% of tax Set it's invoice terms as immediate:
      1) 1 unit with a net unit price of 21.95 (total of 26.56)
      2) 3 units with a net unit price of 25 (total of 90.75)
      3) -12 units with a net unit price of 12 (total of -174.24)
      4) 15 units with a net unit price of 0.86 (total of 15.61)
      5) 20 units with a net unit price of 0.35
         1 unit with a net unit price of 25
         1 unit with a net unit price of 13.20
         (total of 54.69)

   Add all of them in the same invoice. Total amount (13.37). Complete it
   Create a new sales invoice and add all the previous lines but with the opposite quantities
   Add a payment of 0 to it
   Check the transaction type is set to Invoices
   Select the two invoices created, set the total amount to pay and process

   Create a new Payment in for the same business partner
   Add details and check no invoice is pending to be paid
(0111367)
hgbot (developer)
2019-04-29 12:59

Repository: erp/devel/pi
Changeset: 49fefc70a4c7bc4e5620b9dcdc93f2b1c6dc8454
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu Apr 25 11:44:14 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/49fefc70a4c7bc4e5620b9dcdc93f2b1c6dc8454 [^]

Fixes issue 40545: Update payment schedule detail with line amount

When paying completely an Invoice with negative lines, some lines could remain
with zero payment schedule details after payment is processed.
In this fix, the payment schedule detail for each line is updated with the
line amount.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddPaymentActionHandler.java
---
(0111368)
Sandrahuguet (developer)
2019-04-29 13:07

code review + testing ok
(0112003)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-05 15:05 ngarcia New Issue
2019-04-05 15:05 ngarcia Assigned To => Triage Finance
2019-04-05 15:05 ngarcia Modules => Core
2019-04-05 15:05 ngarcia Triggers an Emergency Pack => No
2019-04-05 15:08 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-05 15:13 Practics Issue Monitored: Practics
2019-04-08 10:07 ngarcia Steps to Reproduce Updated View Revisions
2019-04-08 15:12 Sandrahuguet Regression level => Production - Confirmed Stable
2019-04-08 15:12 Sandrahuguet Regression introduced in release => 3.0PR18Q2
2019-04-15 12:35 Sandrahuguet Regression level Production - Confirmed Stable =>
2019-04-15 12:35 Sandrahuguet Regression introduced in release 3.0PR18Q2 =>
2019-04-17 13:04 ngarcia Priority immediate => urgent
2019-04-26 08:23 Sandrahuguet Note Added: 0111336
2019-04-26 08:27 Sandrahuguet Status new => scheduled
2019-04-29 12:59 hgbot Checkin
2019-04-29 12:59 hgbot Note Added: 0111367
2019-04-29 12:59 hgbot Status scheduled => resolved
2019-04-29 12:59 hgbot Resolution open => fixed
2019-04-29 12:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/49fefc70a4c7bc4e5620b9dcdc93f2b1c6dc8454 [^]
2019-04-29 13:07 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-29 13:08 Sandrahuguet Note Added: 0111368
2019-04-29 13:08 Sandrahuguet Status resolved => closed
2019-04-29 13:08 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0112003


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker